![alt text](https://github.com/GoekeLab/xpore/blob/master/figures/xpore_textlogo.png "xPore")



[![PyPI version](https://badge.fury.io/py/xpore.svg)](https://badge.fury.io/py/xpore)
[![Documentation Status](https://readthedocs.org/projects/xpore/badge/?version=latest)](https://xpore.readthedocs.io/en/latest/?badge=latest)
[![Downloads](https://pepy.tech/badge/xpore)](https://pepy.tech/project/xpore)


---


xPore is a Python package for identification and quantification of differential RNA modifications from direct RNA sequencing. 


### Installation

xPore requires [Python3](https://www.python.org).
To install the latest release with PyPI (recommended), run

```sh
$ pip install xpore 
$ pyensembl install --release 91 --species homo_sapiens  # please specify the compatible Ensembl release with your data when you install it.
```
### Documentation

Please refer to the xPore documention ([https://xpore.readthedocs.io](https://xpore.readthedocs.io)) for additional information, a quick start guide, and details on the data processing and output file format.

xPore is described in detail in a preprint (https://www.biorxiv.org/content/10.1101/2020.06.18.160010v1)

### Release History

The current release is xPore v1.0.

Please refer to the github release history for previous releases: https://github.com/GoekeLab/xpore/releases

---

### Citing xPore

If you use xPore in your research, please cite

[Ploy N. Pratanwanich, Ploy N. et al. "Detection of differential RNA modifications from direct RNA sequencing of human cell lines". *bioRxiv* (2020) doi: https://doi.org/10.1101/2020.06.18.160010](https://www.biorxiv.org/content/10.1101/2020.06.18.160010v1)


---

### Contact

xPore is maintained by [Ploy N. Pratanwanich](https://github.com/ploy-np) and [Jonathan Goeke](https://github.com/jonathangoeke) from the Genome Institute of Singapore, A*STAR. 

If you want to contribute, please leave an issue. 

Thank you!
